Skip to main content
POST
/
workspace
/
skill
Add Skill
curl --request POST \
  --url https://api.example.com/workspace/skill \
  --header 'Content-Type: application/json' \
  --header 'x-user-id: <x-user-id>' \
  --data '
{
  "skill_path": "<string>"
}
'
import requests

url = "https://api.example.com/workspace/skill"

payload = { "skill_path": "<string>" }
headers = {
"x-user-id": "<x-user-id>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-user-id': '<x-user-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({skill_path: '<string>'})
};

fetch('https://api.example.com/workspace/skill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Headers

x-user-id
string
required

Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.

Query Parameters

agent_id
string
required
session_id
string
required

Body

application/json

The request to add skill.

skill_path
string
required

Response

Successful Response